dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Разрезать объект slice solid программно activex

Разрезать объект slice solid программно activex

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 01.01.2018, 19:49 #1
Разрезать объект slice solid программно activex
solo123
 
Регистрация: 19.08.2009
Сообщений: 80

solo123 вне форума Вставить имя

Подскажите как удалить в уже разрезанном объекте отрезанные части C помощью Activex Например: Ящик (Box) надо сделать два паралельных реза и оставить только центральную часть.
В примере режет и удаляет все только с одного края. Как исправить код? Или, может быть после первого реза программно развернуть координату Z на 180 градусов?
Код:
[Выделить все]
 (defun c:sl_so (/ )
(command "_ucs"  "WORLD")
(vl-load-com)
(setq acad_application (vlax-get-acad-object))
(setq active_document (vla-get-ActiveDocument acad_application))
(setq model_space (vla-get-ModelSpace active_document))
(setq  _Box (vla-addBox model_space   (vlax-3D-point  0 0 0)   10.0  10.0  2000.0))
(vla-slicesolid  _Box (vlax-3D-point   0 0 100.0) (vlax-3D-point   1.0  0 100.0) (vlax-3D-point   1.0 1.0 100.0) :vlax-false)
(vla-slicesolid  _Box (vlax-3D-point   0 0 -100.0) (vlax-3D-point   1.0  0 -100.0) (vlax-3D-point   1.0 1.0 -100.0) :vlax-false)
)
----- добавлено через ~16 ч. -----
Код:
[Выделить все]
 (defun c:sl_so (/ )
(command "_ucs"  "WORLD")
(vl-load-com)
(setq acad_application (vlax-get-acad-object))
(setq active_document (vla-get-ActiveDocument acad_application))
(setq model_space (vla-get-ModelSpace active_document))
(setq  _Box (vla-addBox model_space   (vlax-3D-point  0 0 0)   10.0  10.0  2000.0))
(vla-slicesolid  _Box (vlax-3D-point   0 0 100.0) (vlax-3D-point   1.0  0 100.0) (vlax-3D-point   1.0 1.0 100.0) :vlax-false)
(vla-Rotate3D _Box (vlax-3D-point   0 0 0)  (vlax-3D-point     0 1.0 0) (angtof "180"))
(vla-slicesolid  _Box (vlax-3D-point   0 0  100.0) (vlax-3D-point   1.0  0  100.0) (vlax-3D-point   1.0 1.0  100.0) :vlax-false)
) ;;сНОвым годом!!!!

Последний раз редактировалось Кулик Алексей aka kpblc, 02.01.2018 в 14:03.
Просмотров: 802
 
Непрочитано 02.01.2018, 14:04
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 35,142


ПОменяй delobj, например, потом анализируй результаты vla-silcesolid и удаляй ненужное
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Разрезать объект slice solid программно activex

Инженерные консультации
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Некорректно отображается OLE объект в файле LiSa AutoCAD 10 24.05.2016 14:36
При CHSPACE объект в Model'и не там, где надо Chainik111 AutoCAD 1 18.09.2015 21:46
Объединение дуг, линий в единый объект, Как объединить? Vladimir.P AutoCAD 41 25.01.2015 08:03
Помогите преобразовать каркас спиральной канавки в твердотельный объект... Sota AutoCAD 12 06.01.2010 09:33
Слияние плоскостных объектов SOLID одной плоскостью. DED AutoCAD 5 07.12.2005 14:46

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||